// package com.fuyuanshen.handler;
//
// import org.apache.poi.ss.usermodel.*;
// import org.apache.poi.util.IOUtils;
// import org.apache.poi.xssf.usermodel.XSSFWorkbook;
//
// import java.io.ByteArrayInputStream;
// import java.io.IOException;
// import java.io.InputStream;
// import java.net.URL;
// import java.util.Map;
//
// /**
//  * @author: 默苍璃
//  * @date: 2025-06-0618:03
//  */
//
// public class ImageCellWriteHandler implements WriteHandler {
//
//     private final Map<Integer, String> imageMap; // key: 行号, value: 图片URL
//
//     public ImageCellWriteHandler(Map<Integer, String> imageMap) {
//         this.imageMap = imageMap;
//     }
//
//     @Override
//     public void beforeSheetCreate(WriteWorkbookHolder writeWorkbookHolder, WriteSheetHolder writeSheetHolder) {
//     }
//
//     @Override
//     public void afterSheetCreate(WriteWorkbookHolder writeWorkbookHolder, WriteSheetHolder writeSheetHolder) {
//         Workbook workbook = writeSheetHolder.getSheet().getWorkbook();
//         Sheet sheet = writeSheetHolder.getSheet();
//
//         for (Map.Entry<Integer, String> entry : imageMap.entrySet()) {
//             int rowNum = entry.getKey();
//             String imageUrl = entry.getValue();
//
//             try {
//                 InputStream inputStream = new URL(imageUrl).openStream();
//                 byte[] bytes = IOUtils.toByteArray(inputStream);
//
//                 int pictureIdx = workbook.addPicture(bytes, Workbook.PICTURE_TYPE_JPEG);
//                 CreationHelper helper = workbook.getCreationHelper();
//                 Drawing<?> drawing = sheet.createDrawingPatriarch();
//
//                 ClientAnchor anchor = helper.createClientAnchor();
//                 anchor.setCol1(4); // 设备图片列（第5列）
//                 anchor.setRow1(rowNum); // 第几行
//
//                 Picture picture = drawing.createPicture(anchor, pictureIdx);
//                 picture.resize(); // 自动调整尺寸
//
//                 sheet.setColumnWidth(4, 20 * 256); // 设置列宽
//                 Row row = sheet.getRow(rowNum);
//                 if (row != null) {
//                     row.setHeightInPoints(80); // 设置行高
//                 }
//
//             } catch (IOException e) {
//                 System.err.println("下载图片失败：" + imageUrl);
//             }
//         }
//     }
//
// }