package com.fuyuanshen.modules.MiniProgram.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fuyuanshen.modules.MiniProgram.service.MPService;
import com.fuyuanshen.modules.system.domain.Device;
import com.fuyuanshen.modules.system.mapper.DeviceMapper;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author: 默苍璃
 * @date: 2025-06-2314:56
 */
@Slf4j
@Service
@RequiredArgsConstructor
public class MPServiceImpl implements MPService {

    private final DeviceMapper deviceMapper;

    /**
     * 查询设备MAC号
     *
     * @param mac
     * @return
     */
    @Override
    public Boolean queryDevice(String mac) {
        QueryWrapper<Device> wrapper = new QueryWrapper<>();
        wrapper.eq("device_mac", mac);
        List<Device> deviceList = deviceMapper.selectList(wrapper);
        if (CollectionUtil.isNotEmpty(deviceList)) {
            return true;
        }
        return false;
    }


}
